\begin{lem}
  There is a natural bijection
  \[
  \lset \text{close subschemes of }\spec A\rset \xleftrightarrow{\cong}\lset \aid\sse A\text{ an ideal}\rset
  \]
\end{lem}

\section{Fibre Products}
\begin{defn}
  Let $X,Y$ and $S$ be schemes and $X\to S$, $Y\to S$ be morphisms of schemes. A \emph{fibre product of $X$ and $Y$ over $S$} is a scheme $X\times_SY$ and morphisms $X\times_S Y\to X$, $ X\times_S Y\to Y$ such that the diagram
  \[
  \begin{tikzcd}
    X\times_S Y
    \ar{d}
    \ar{r}
    &
    Y
    \ar{d}
    \\
    X
    \ar{r}
    &
    S
  \end{tikzcd}
  \]
  commutes, and that is universal with this property: i.e. for every pair of morphisms $Z\to X$, $Z\to Y$ that make this diagram commute there exists a unique morphism $Z\to X\times_S Y$ such that the diagram
  \[
  \begin{tikzcd}
    Z
    \ar[bend right]{rrd}
    \ar[bend left]{rdd}
    &
    &
    \\
    &
    X\times_S Y
    \ar{r}
    \ar{d}
    &
    Y
    \ar{d}
    \\
    &
    X
    \ar{r}
    &
    S
  \end{tikzcd}
  \]
  commutes.
\end{defn}
\begin{prop}
\leavevmode
\begin{enumerate}
  \item If $X\times_S Y$ exists, then it is unique up to unique isomorphism.
  \item If $X\times_S Y$ exists, then $Y\times_S X$ exists too and there is a natural isomorphism $X\times_S Y\cong Y\times_S X$.
  \item If fibre products exists in general (they do, but we don't know that at the moment), then there is an isomorphism
  \[
  \left(X\times_S Y\right)\times_T\times Z
  \cong
  X\times \left(Y\times_T Z\right).
  \]

\end{enumerate}
\end{prop}

\begin{prop}
The fibre product of schemes exist in general.
\end{prop}
\begin{proof}
  The proof is a mess, but uses heavily that for affine schemes, the fibre product is given by the spectrum of the tensor product of the involved rings.
\end{proof}
